pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/38832: print/pdflib-lite doesn't build in DragonFly BSD

>Number:         38832
>Category:       pkg
>Synopsis:       print/pdflib-lite doesn't build in DragonFly BSD
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Mon Jun 02 11:10:04 +0000 2008
>Originator:     Hasso Tepper
>Release:        DragonFly
There is two issues:

* The configure script doesn't detect shared library support.
* There is sizeof(FILE) used in the code which is illegal in DragonFly due to 
FILE being opaque type.

The patch to fix both problems is available at

I'm not 100% sure in solution for sizeof(FILE) issue, but sizeof(FILE) usages 
are always ugly hacks and this one is even in deprecated code. So, I don't 
worry about it too much. 

Home | Main Index | Thread Index | Old Index